package com.css.simulation.resource.scheduler.common.configuration.init;

import com.css.simulation.resource.scheduler.common.util.ProjectUtil;
import lombok.extern.slf4j.Slf4j;
import org.springframework.boot.ApplicationArguments;
import org.springframework.boot.ApplicationRunner;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;

@Component
@Slf4j
public class CustomApplicationRunner implements ApplicationRunner {
    @Resource
    private ProjectUtil projectUtil;


    @Override
    public void run(ApplicationArguments args) {
        projectUtil.resetNodeParallelism();
    }
}